Subject: bug#4033: 23.1; list-colors-display is misleading

From: "Drew Adams" <[email-masked]>
Date: Wed, 5 Aug 2009 16:16:33 -0700

> I don't understand what is the reason to unnecessarily 
> complicate this. In your original report you said that one
> user had some confusion with hex formats.  Is this user using
> a system supporting more than 8 bits per component?

If no one sees the utility, then feel free to ignore and close the bug. 

To answer your question: Regardless of what that user's system supports, from
Jason I've learned that only 8 bits can be effectively supported by Emacs (for
nearly all systems) because of the system APIs that are available to Emacs.

As to how Emacs should display the RGB that corresponds to a named color: I
still think that TRT is to base that feedback on what `display-color-cells'
tells about the user's display - its color support. If tomorrow the API
limitations are alleviated, then that user feedback will automatically reflect
Emacs's improved color support.

It's easy enough to do that, as the code I sent shows. The difference is only a
few lines of uncomplicated code.

It's OK if you disagree about whether that should be done.